package com.jdc.jdcproject.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * <p>
 * 
 * </p>
 *
 * @author haoyanlu
 * @since 2025-04-26
 */
@Schema(name = "Users", description = "")
@Data
public class Users implements Serializable {

    private static final long serialVersionUID = 1L;

    @Schema(description = "用户id")
    private String id;

    @Schema(description = "用户名")
    private String username;

    @Schema(description = "密码")
    private String password;

    @Schema(description = "头像")
    private String salt;

    @Schema(description = "手机号")
    private String tel;

    @Schema(description = "微信登陆openid")
    private String openid;

    @Schema(description = "记录用户登录错误次数")
    private Integer errlogincount = 0;

    @Schema(description = "记录锁定的时间至何时")
    private LocalDateTime lockdatetime;

    @Override
    public String toString() {
        return "Users{" +
        "id = " + id +
        ", username = " + username +
        ", password = " + password +
        ", salt = " + salt +
        ", tel = " + tel +
        "}";
    }
}
