package com.jdc.jdcproject.entity.VO;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;

@Data
public class DicekeMininglossVo {

    private static final long serialVersionUID = 1L;

    @Schema(description = "主键")
    @TableId("LossID")
    private String lossID;

    @Schema(description = "平盘名称")
    private String plateRange;

    @Schema(description = "铲号")
    private String shovelCode;

    @Schema(description = "月份")
    private LocalDate month;

    @Schema(description = "圈定矿量（吨）")
    private Double DefineMineralReserves;

    @Schema(description = "剥离量（吨）")
    private Double strippingTon;

    @Schema(description = "实采总量(吨）")
    private Double strippingAndTotalMiningTon;

    @Schema(description = "采下废石（吨）")
    private Double wasteRockTon;

    @Schema(description = "贫化率（%）")
    private Double dilutionRate;

    @Schema(description = "损失矿量(吨）")
    private Double LossMineralTon;

    @Schema(description = "损失率（%）")
    private Double lossRate;

    @Schema(description = "配矿配矿量（吨）")
    private Double allocationTon;

    @Schema(description = "备注")
    private String beizhu;

    @Override
    public String toString() {
        return "DicekeMininglossVo{" +
                "lossID='" + lossID + '\'' +
                ", plateRange='" + plateRange + '\'' +
                ", shovelCode='" + shovelCode + '\'' +
                ", month=" + month +
                ", DefineMineralReserves=" + DefineMineralReserves +
                ", strippingAndTotalMiningTon=" + strippingAndTotalMiningTon +
                ", wasteRockTon=" + wasteRockTon +
                ", dilutionRate=" + dilutionRate +
                ", lossRate=" + lossRate +
                ", allocationTon=" + allocationTon +
                ", beizhu='" + beizhu + '\'' +
                '}';
    }
}
