package com.jdc.jdcproject;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import java.util.Map;

public class ExcelListener extends AnalysisEventListener<Map<String, Object>> {

    @Override
    public void invoke(Map<String,Object> data, AnalysisContext context) {
        System.out.println("读取到数据：" + data);
    }

    @Override
    public void invokeHeadMap(Map<Integer, String> headMap, AnalysisContext context) {
        System.out.println("表头：" + headMap);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext context) {
        System.out.println("所有数据读取完成");
    }
}
